<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    public function index()
    {
        $row = Setting::first();
        return view('admin.settings.index', compact('row'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'about_ar' => 'required',
            'about_en' => 'required',
            'policy_ar' => 'required',
            'policy_en' => 'required',
            'commission' => 'required',
            'mobile'=>'required',
            'email'=>'required',
            'home_desc_ar'=>'required',
            'home_desc_en'=>'required'
        ]);
        $setting = Setting::find($id);
        $setting['android_link'] = $request['android_link'];
        $setting['ios_link'] = $request['ios_link'];
        $setting['email'] = $request['email'];
        $setting['mobile'] = $request['mobile'];
        $setting['about->en'] = $request['about_en'];
        $setting['about->ar'] = $request['about_ar'];
        $setting['policy->ar'] = $request['policy_ar'];
        $setting['policy->en'] = $request['policy_en'];
        $setting['home_desc->ar'] = $request['home_desc_ar'];
        $setting['home_desc->en'] = $request['home_desc_en'];
        $setting['commission'] = $request['commission'];
        $setting->update();
        toast('تم تعديل البيانات بنجاح', 'success', 'top-left');
        return redirect()->back();
    }


}
