<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\CategoriesResource;
use App\Http\Resources\ProductResource;
use App\Models\Category;
use App\Models\Product;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    public function home($id = 0)
    {
        $lang =\request()->header('Accept-Language','ar');
        \App::setLocale($lang);
        $data = [];


        $categories = Category::where('parent_id', null)->get();
        foreach ($categories as $category) {
            $arr['id'] = $category->id;
            $arr['name'] = $category->name[$lang];
            $arr['has_sub'] = ($category->sub_categories->count() > 0) ? 'true' : 'false';
            $arr['sub_categories'] = [];

            if ($category->sub_categories->count() > 0) {

                foreach ($category->sub_categories as $sub_category) {

                    $sub['id'] = $sub_category->id;
                    $sub['name'] = $sub_category->name[$lang];
                    $sub['products'] = [];

                     if ($id == 0){
                        foreach (Product::where('sub_category_id',$sub_category->id)->get() as $product) {
                            $sub['products'][] = new ProductResource($product);
                        }
                    }else{
                        foreach (Product::where('sub_category_id',$sub_category->id)->where('country_id',$id)->get()as $product) {
                            $sub['products'][] = new ProductResource($product);
                        }
                    }

                    $arr['sub_categories'] [] = $sub;
                }


            }else{
                $sub['id'] = 0;
                $sub['name'] = '';
                $sub['products'] = [];
                if ($id == 0){
                    foreach (Product::where('category_id',$category->id)->get() as $product) {
                        $sub['products'][] = new ProductResource($product);
                    }
                }else{
                    foreach (Product::where('category_id',$category->id)->where('country_id',$id)->get() as $product) {
                        $sub['products'][] = new ProductResource($product);
                    }
                }
                $arr['sub_categories'] [] = $sub;


            }

            $data[] = $arr;

        }
        return response()->json(['value' => true, 'data' => $data]);
    }
}
