<?php

namespace App\Http\Middleware;

use Closure;
use RealRashid\SweetAlert\Facades\Alert;

class User
{
    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (\Auth::check() && \Auth::user()->type == 'user') {
            return $next($request);
        } else {
            Alert::error(\Lang::get('site.not_allowed'), \Lang::get('site.login_first'));
            return redirect()->back();

        }
    }
}
