<?php

namespace App\Http\Resources;

use App\User;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $user = User::find($this->id);
        $myTTL = 60 * 60 * 365; //minutes
        JWTAuth::factory()->setTTL($myTTL);
        $token = JWTAuth::fromUser($user);
        return [
            'id' => $this->id,
            'username' => $this->username ? $this->username : '',
            'mobile' => $this->mobile ? $this->mobile : '',
            'email' => $this->email ? $this->email : '',
            'country_id' => $this->country_id ? (integer)$this->country_id : 0,
            'code' => $this->code ? (string)$this->code : '',
            'image'=>$this->image ? asset('images/users/'.$this->image) : '',
            'token' => $token

        ];
    }
}
