<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateProductsTable extends Migration {

	public function up()
	{
		Schema::create('products', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->string('title', 191)->nullable();
			$table->integer('category_id')->unsigned()->nullable();
			$table->integer('country_id')->unsigned()->nullable();
			$table->integer('user_id')->unsigned();
			$table->text('description')->nullable();
			$table->enum('contact_type', array('phone', 'chat', 'both'))->nullable();
			$table->enum('receive_notification', array('true', 'false'))->default('true');
			$table->enum('show_mobile', array('true', 'false'))->nullable()->default('true');
			$table->integer('color_id')->unsigned()->nullable();
			$table->string('lat', 191)->nullable();
			$table->string('lng', 191)->nullable();
			$table->string('size', 191)->nullable();
			$table->string('shape', 191)->nullable();
		});
	}

	public function down()
	{
		Schema::drop('products');
	}
}
