<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserTokensTable extends Migration {

	public function up()
	{
		Schema::create('user_tokens', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('user_id')->unsigned();
			$table->string('token', 191)->nullable();
			$table->enum('device_type', array('ios', 'android'))->nullable();
			$table->enum('status', array('connected', 'disconnected'))->nullable()->default('connected');
			$table->enum('device_language', array('ar', 'en'))->nullable()->default('ar');
		});
	}

	public function down()
	{
		Schema::drop('user_tokens');
	}
}
