@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('setting.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">قيمة العمولة</label>
                                <input type="number" class="form-control"
                                       value="{{($row && $row->commission ) ? $row->commission : ''}}" required
                                       name="commission"
                                       id="exampleInputEmail1"
                                       placeholder="قيمة العمولة">
                                @if ($errors->has('commission'))
                                    <small class="text-danger">{{ $errors->first('commission') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="number" class="form-control"
                                       value="{{($row && $row->mobile ) ? $row->mobile : ''}}" required
                                       name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكتروني</label>
                                <input type="email" class="form-control"
                                       value="{{($row && $row->email ) ? $row->email : ''}}" required
                                       name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكتروني">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>


                            <div class="card-box">
                                <div class="form-group">
                                    <label for="about">عن التطبيق بالعربية</label>
                                    <textarea class="form-control tinymce"
                                              name="about_ar" cols="50"
                                              placeholder="عن التطبيق بالعربية"
                                              rows="10">{{$row ? $row->about['ar'] : ''}}</textarea>
                                    @if ($errors->has('about_ar'))
                                        <small class="text-danger">{{ $errors->first('about_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="about">عن التطبيق بالانجليزية</label>
                                    <textarea class="form-control tinymce"
                                              name="about_en" cols="50"
                                              placeholder="عن التطبيق بالانجليزية"
                                              rows="10">{{$row ? $row->about['en'] : ''}}</textarea>
                                    @if ($errors->has('about_en'))
                                        <small class="text-danger">{{ $errors->first('about_en') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="policy">سياسية الخصوصية بالعربية</label>
                                    <textarea class="form-control tinymce"
                                              name="policy_ar" cols="50"
                                              placeholder="سياسية الخصوصية "
                                              rows="10">{{$row ? $row->policy['ar'] : ''}}</textarea>
                                    @if ($errors->has('policy_ar'))
                                        <small class="text-danger">{{ $errors->first('policy_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="policy">سياسية الخصوصية بالانجليزية</label>
                                    <textarea class="form-control tinymce"
                                              name="policy_en" cols="50"
                                              placeholder="سياسية الخصوصية "
                                              rows="10">{{$row ? $row->policy['en'] : ''}}</textarea>
                                    @if ($errors->has('policy_en'))
                                        <small class="text-danger">{{ $errors->first('policy_en') }}</small>
                                    @endif
                                </div>



                                <div class="form-group">
                                    <label for="policy">مقدمة الموقع باللغه العربية</label>
                                    <textarea class="form-control tinymce"
                                              name="home_desc_ar" cols="50"
                                              placeholder="مقدمة الموقع باللغه العربية"
                                              rows="10">{{$row ? $row->home_desc['ar'] : ''}}</textarea>
                                    @if ($errors->has('home_desc_ar'))
                                        <small class="text-danger">{{ $errors->first('home_desc_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="policy">مقدمة الموقع باللغه الإنجليزية</label>
                                    <textarea class="form-control tinymce"
                                              name="home_desc_en" cols="50"
                                              placeholder="مقدمة الموقع باللغه الإنجليزية"
                                              rows="10">{{$row ? $row->home_desc['en'] : ''}}</textarea>
                                    @if ($errors->has('home_desc_en'))
                                        <small class="text-danger">{{ $errors->first('home_desc_en') }}</small>
                                    @endif
                                </div>



                                <div class="form-group">
                                    <label for="exampleInputEmail1">رابط الاندرويد</label>
                                    <input type="url" class="form-control"
                                           value="{{($row && $row->android_link ) ? $row->android_link : ''}}"
                                           name="android_link"
                                           id="exampleInputEmail1"
                                           placeholder="رابط الاندرويد">
                                    @if ($errors->has('android_link'))
                                        <small class="text-danger">{{ $errors->first('android_link') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputEmail1">رابط الايفون</label>
                                    <input type="url" class="form-control"
                                           value="{{($row && $row->ios_link ) ? $row->ios_link : ''}}"
                                           name="ios_link"
                                           id="exampleInputEmail1"
                                           placeholder="رابط الايفون">
                                    @if ($errors->has('ios_link'))
                                        <small class="text-danger">{{ $errors->first('ios_link') }}</small>
                                    @endif
                                </div>
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
