<footer>
    <div class="upper-footer">
        <div class="container">
            <div class="row">
                <div class="col-sm-4 text-center">
                    <h5><strong>@lang('site.download_app')</strong></h5>
                </div>
                <div class="col-sm-2 col-xs-6 text-center">
                    <a href="{{$setting->android_link}}" target="_blank">
                        <img src="{{asset('web/images/googlepaly.svg')}}" width="95px" class="my-5" alt="">
                    </a>
                </div>
                <div class="col-sm-2 col-xs-6 text-center">
                    <a href="{{$setting->ios_link}}" target="_blank">
                        <img src="{{asset('web/images/appstore.svg')}}" width="90px" class="my-5" alt="">
                    </a>
                </div>

            </div>
        </div>
    </div>
    <div class="lower-footer">
        <div class="container">
            <div class="row">
                <div class="col-sm-4 text-sm-center">
                    <a href="#">
                        <img src="{{asset('web/images/logoicon.png')}}" width="100px" class="my-5" alt="">
                    </a>
                </div>
                <div class="col-sm-2 col-xs-6">
                    <section>
                        <h5><strong>@lang('site.about')</strong></h5>
                        <ul>
                            <li><a href="{{route('about_us')}}" class="size-12 color-black">@lang('site.about')</a></li>
                            <li><a href="{{route('contact_us')}}" class="size-12 color-black">@lang('site.contact_us')</a></li>
                        </ul>
                    </section>
                </div>
                <div class="col-sm-2 col-xs-6">
                    <section>
                        <h5><strong>@lang('site.categories')</strong></h5>
                        <ul>
                            @foreach($footer_categories as $footer_category)
                                <li><a href="{{route('home_categories')}}"
                                       class="size-12 color-black">{{$footer_category->name[\App::getLocale()]}}</a>
                                </li>
                            @endforeach
                        </ul>
                    </section>
                </div>
                <div class="col-sm-4">
                    <section>
                        <h5><strong>@lang('site.Newsletter')</strong></h5>
                        <p class="color-black size-10">@lang('site.Subscribe to our newsletter')</p>
                        <form method="post" action="{{route('news_letter')}}">
                            {{csrf_field()}}
                            <input type="email" name="email"  required class="form-control" id="username" placeholder="Enter Your Email">
                            <button type="submit" hidden></button>
                        </form>

                    </section>
                </div>
            </div>
        </div>
    </div>
</footer>

<!--       _
       .__(.)< (FAROUZ)
        \___)
 ~~~~~~~~~~~~~~~~~~-->
<!-- Jquery js -->
<script src="{{asset('web/js/jquery-3.2.1.js')}}"></script>
<!-- Bootstrap js -->
<script src="{{asset('web/js/bootstrap.min.js')}}"></script>
<script>

    $.ajaxSetup({

        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }

    });


    $("#commission_amount").keyup(function (e) {

        var amount = $("input[name=amount]").val();

        // console.log(amount);

        $.ajax({
            type: 'POST',
            url: '{{route('calc_commission')}}',
            data: {amount: amount},
            success: function (data) {

                $("input[name=in_calc]").val(data.data);
                $("#show_amount").html( " you will pay " + data.data);
                console.log(data.data);
            }
        });

    });


    $("#change_password_profile").click(function (e) {

        e.preventDefault();

        var old_password = $("#old_password").val();
        var new_password = $("#new_password").val();
        var new_password_confirmation = $("#new_password_confirmation").val();

        $.ajax({

            type: 'POST',

            url: '{{route('change_old_password')}}',

            data: {
                old_password: old_password,
                new_password: new_password,
                new_password_confirmation: new_password_confirmation
            },

            success: function (data) {
                if (data.status == 1) {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'success',
                        confirmButtonText: data.confirm_text
                    });
                    $("#old_password").val("");
                    $("#new_password").val("");
                    $("#new_password_confirmation").val("");

                } else {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'error',
                        confirmButtonText: data.confirm_text
                    });
                }
            }

        });
    })


    function favourite(product_id) {

        $.ajax({

            type: 'GET',

            url: '{{route('favourite_product')}}',

            data: {product_id: product_id},

            success: function (data) {
                if (data.status == 1) {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'success',
                        confirmButtonText: data.confirm_text
                    });
                    if (data.flag == 'add_favourite') {
                        $(".farouz").addClass(data.add_class);
                        $('.change-color').addClass('is-favorite');
                    } else {
                        $(".farouz").removeClass(data.remove_class);
                        $('.change-color').removeClass('is-favorite');
                    }

                } else {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'error',
                        confirmButtonText: data.confirm_text
                    });
                }
            }

        });

    }


    $("#sel1").on('change', function () {
        var category_id = $("#sel1").val();

        $.ajax({

            type: 'GET',

            url: '{{route('get_sub_categories')}}',

            data: {category_id: category_id},

            success: function (data) {
                if (data.status == 1) {
                    console.log(data.html_data);
                    $("#sel2").html("");
                    $("#sel2").html(data.html_data);


                } else {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'error',
                        confirmButtonText: data.confirm_text
                    });
                }
            }

        });
    });

    function report(product_id) {

        $.ajax({

            type: 'GET',

            url: '{{route('report_product')}}',

            data: {product_id: product_id},

            success: function (data) {
                if (data.status == 1) {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'success',
                        confirmButtonText: data.confirm_text
                    });


                } else {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'error',
                        confirmButtonText: data.confirm_text
                    });
                }
            }

        });

    }
</script>
<script type="text/javascript" src="//code.jquery.com/jquery-migrate-1.2.1.min.js"></script>
<script type="text/javascript" src="{{asset('web/js/slick.min.js')}}"></script>
<script type="text/javascript" src="{{asset('web/js/owl.carousel.min.js')}}"></script>
<script src="{{asset('web/js/main.js')}}"></script>
</body>
</html>
