@include('web.controllers.header')

@include('sweetalert::alert')

<div class="tele-academy-paging">
    @if ($errors->any())
        <div class="alert alert-danger" style="text-align: center">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    <div class="container text-center">
        <p class="color-white">{{$setting->home_desc[\App::getLocale()]}}</p>
        <h2>{{trans('site.New Member ?')}}</h2>
        <a href="#signupModal" data-toggle="modal" class="newmemb">@lang('site.new member')</a>
        <p>@lang('site.I Already have an account')</p>
        <a href="#signupModal" data-toggle="modal"> @lang('site.Signin')</a>
    </div>
</div>

<!-- sigup modal -->
<div class="modal" id="signupModal"
     role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">

    <div class="modal-dialog signmodel">
        <div class="modal-content">

            <ul class="nav nav-pills pillsstyle">
                <li class="active"><a data-toggle="pill" href="#home">@lang('site.SignUp')</a></li>
                <li><a data-toggle="pill" href="#menu1">@lang('site.LogIn')</a></li>
            </ul>

            <!-- Modal body -->
            <div class="tab-content">
                <!-- signup tap -->
                <div id="home" class="tab-pane fade in active">

                    <!-- Modal root -->
                    <div class="m-header">
                        <h4 class="myModalLabel"> @lang('site.SignUp') </h4>
                    </div>
                    <form class="signupform" action="{{route('register')}}" method="POST">
                    {{csrf_field()}}
                    <!-- username input -->
                        <input type="text" name="username" required class="form-control" id="username"
                               placeholder="@lang('site.Username')">
                        <input type="number" class="form-control" required name="mobile" id="phonenumber"
                               placeholder="@lang('site.Mobile')">
                        <input type="email" class="form-control" required name="email" id="email" placeholder="@lang('site.Email')">
                        <select class="form-control" name="country_id" required id="country">
                            @foreach($countries as $country)
                                <option value="{{$country->id}}">{{$country->name[App::getLocale()]}}</option>
                            @endforeach
                        </select>
                        <input type="password" class="form-control" required name="password" id="password"
                               placeholder="@lang('site.password')">
                        <input type="password" class="form-control" required name="password_confirmation"
                               id="confirmpassword" placeholder="@lang('site.confirm password')">
                        <div class="checkbox">
                            <label><input class="check-adjust" required name="agree" type="checkbox" value="">@lang('site.I agree to
                                all') <a href="#">@lang('site.terms & conditions')</a></label>
                        </div>
                        <button type="submit">@lang('site.Sign Up')</button>
                    </form>
                    <!-- Modal footer -->
                    <div class="footer">

                        <p>
                            @lang('site.Already have an account ?')
                            <a href="#menu1" data-toggle="pill" class="logintab"> @lang('site.Login') </a>
                        </p>
                    </div>
                </div>

                <!-- login tap -->

                <div id="menu1" class="tab-pane fade">
                    <!-- Modal root -->
                    <div class="m-header">
                        <h4 class="myModalLabel"> @lang('site.Log in')</h4>
                    </div>
                    <form class="signupform" action="{{route('login')}}" method="post">
                    {{csrf_field()}}
                    <!-- username input -->
                        <input type="text" required class="form-control" name="username" id="username"
                               placeholder="@lang('site.Email/Username')">
                        <input type="password" name="password" required class="form-control" id="password"
                               placeholder="@lang('site.password')">

                        <button type="submit">@lang('site.Log in')</button>
                    </form>
                    <!-- Modal footer -->
                    <div class="footer">
                        <a href="#forgetpass" data-toggle="modal">@lang('site.forget password')</a>
                        <p>
                            @lang("site.Don't have an account ?")
                            <a href="#home" data-toggle="pill" class="logintab">@lang('site.sign up')</a>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- forget pass -->
<div class="modal" id="forgetpass" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog signmodel ml-ne">
        <div class="modal-content">

            <form class="signupform" id="emailpassword">
                <!-- Modal root -->
                <div class="m-header">
                    <h4 class="myModalLabel"> @lang('site.forget password') </h4>
                </div>
                <!-- username input -->
                <input type="email" name="email" class="form-control forget_email" required id="email"
                       placeholder="@lang('site.forget password')">
                <button type="submit" id="send_code" class="toforget">@lang('site.send')</button>
            </form>
        </div>
    </div>
</div>


<!-- reset password  -->
<div class="modal" id="resetpass" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog signmodel ml-ne">
        <div class="modal-content">
            <form class="signupform form-inline " id="codepass">

                <!-- Modal root -->
                <div class="m-header">
                    <h4 class="myModalLabel"> @lang('site.forget password') </h4>
                </div>
                <!-- username input -->
                <input type="number" name="reset_code1" maxlength="1" required class="form-control special reset_code"
                       id="number" placeholder="__">
                <input type="number" name="reset_code2" required class="form-control special reset_code" id="number2"
                       placeholder="__">
                <input type="number" name="reset_code3" required class="form-control special reset_code" id="number3"
                       placeholder="__">
                <input type="number" name="reset_code4" required class="form-control special reset_code" id="number4"
                       placeholder="__">
                <button type="submit" id="check_code" class="toforget">@lang('site.confirm')</button>
            </form>
        </div>
    </div>
</div>


<!-- confirm reset password  -->
<div class="modal" id="newresetpass" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog signmodel ml-ne">
        <div class="modal-content">
            <form class="signupform " id="newpass">
                <!-- Modal root -->
                <div class="m-header">
                    <h4 class="myModalLabel"> @lang('site.New password') </h4>
                </div>
                <!-- username input -->
                <input type="text" name="password" class="form-control new_password" id="text"
                       placeholder="@lang('site.New password')">
                <input type="text" name="password_confirmation" class="form-control new_password_confirmation" id="text"
                       placeholder="@lang('site.New Password Confirmation')">
                <button type="submit" id="change_password" class="toforget">@lang('site.confirm')</button>
            </form>
        </div>
    </div>
</div>


<!-- Jquery js -->
<script src="{{asset('web/js/jquery-3.2.1.js')}}"></script>
<!-- Bootstrap js -->
<script src="{{asset('web/js/bootstrap.min.js')}}"></script>
<input type="hidden" id="user_email" name="user_email" value="{{Session::get('user_email')}}">
<script type="text/javascript" src="//code.jquery.com/jquery-migrate-1.2.1.min.js"></script>
<script type="text/javascript" src="{{asset('web/js/slick.min.js')}}"></script>
<script src="{{asset('web/js/main.js')}}"></script>
<script>

    $("#send_code").click(function (e) {

        e.preventDefault();
        var email = $(".forget_email").val();
        console.log(email);
        $.ajax({

            type: 'GET',

            url: '{{route('forget_password')}}',

            data: {email: email},

            success: function (data) {
                if (data.status == 1) {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'success',
                        confirmButtonText: data.confirm_text
                    });
                    $("#emailpassword").submit();

                } else {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'error',
                        confirmButtonText: data.confirm_text
                    });
                }
            }

        });


    });
    $("#check_code").click(function (e) {

        e.preventDefault();
        var code1 = $('input[name="reset_code1"]').val();
        var code2 = $('input[name="reset_code2"]').val();
        var code3 = $('input[name="reset_code3"]').val();
        var code4 = $('input[name="reset_code4"]').val();
        console.log(code1, code2, code3, code4);
        $.ajax({

            type: 'GET',

            url: '{{route('reset_code')}}',

            data: {code1: code1, code2: code2, code3: code3, code4: code4},

            success: function (data) {
                if (data.status == 1) {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'success',
                        confirmButtonText: data.confirm_text
                    });
                    $("#codepass").submit();

                } else {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'error',
                        confirmButtonText: data.confirm_text
                    });
                }
            }

        });


    });
    $("#change_password").click(function (e) {

        e.preventDefault();
        var new_password = $(".new_password").val();
        var new_password_confirmation = $(".new_password_confirmation").val();
        var user_email = $("#user_email").val();
        console.log(new_password_confirmation, new_password, user_email);
        $.ajax({

            type: 'GET',

            url: '{{route('change_password')}}',

            data: {new_password: new_password, new_password_confirmation: new_password_confirmation, email: user_email},

            success: function (data) {
                if (data.status == 1) {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'success',
                        confirmButtonText: data.confirm_text
                    });
                    $("#newpass").submit();

                } else {
                    Swal.fire({
                        title: data.title,
                        text: data.msg,
                        icon: 'error',
                        confirmButtonText: data.confirm_text
                    });
                }
            }

        });


    });

</script>
</body>
</html>
