@include('web.controllers.header')
<div class="container">
    <div class="row">
        <div class="col-md-3 col-sm-4">
            <div class="sideprofile">
                <section class="global-head">
                    <article>
                        <h4><strong>@lang('site.Settings')</strong></h4>
                        <p>@lang('site.Change your settings')</p>
                    </article>
                </section>
                <!-- tabs -->
                <ul class="nav nav-tabs nav-stacked">
                    <li class="active"><a data-toggle="tab" href="#personal-info">@lang('site.Personal Information')</a></li>
                    <li><a data-toggle="tab" href="#change-pass">@lang('site.Change Password')</a></li>

                </ul>
            </div>
        </div>
        <div class="col-md-9 col-sm-8">
            <div class="profilepage">
                <div class="tab-content">
                    <!-- tabs content -->
                    <!-- personal-info -->
                    <div id="personal-info" class="tab-pane fade in active">
                        <section class="global-head">
                            <article>
                                <h4><strong>@lang('site.Personal Information')</strong></h4>
                                <p>@lang('site.Change your personal information')</p>
                            </article>
                        </section>
                        <!-- form -->
                        @if ($errors->any())
                            <div class="alert alert-danger" style="text-align: center">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <form  method="post" action="{{route('update_profile')}}" class="form-horizontal">
                            {{csrf_field()}}
                            <div class="form-group">
                                <label class="control-label col-sm-3" >@lang('site.Username')</label>
                                <div class="col-sm-6">
                                    <input type="text" value="{{$user->username}}" class="form-control" id="first name"  name="username">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-sm-3" >@lang('site.Email')</label>
                                <div class="col-sm-6">
                                    <input type="email" value="{{$user->email}}" class="form-control" id="email" placeholder="email" name="email">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-sm-3">@lang('site.Mobile')</label>
                                <div class="col-sm-6">
                                    <input type="text" value="{{$user->mobile}}" class="form-control" id="email"
                                           placeholder="mobile" name="mobile">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for ="sel1" class="control-label col-sm-3" >@lang('site.Country')</label>
                                <div class="col-sm-6">
                                    <select name="country_id" class="form-control" id="sel1">
                                      @foreach($countries as $country)
                                        <option value="{{$country->id}}" @if($country->id == $user->country_id) selected @endif>
                                            {{$country->name[\App::getLocale()]}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-offset-6 col-sm-4">
                                    <button type="submit" class="btn btn-primary">@lang('site.Update')</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <!-- change-pass -->
                    <div id="change-pass" class="tab-pane fade">
                        <section class="global-head">
                            <article>
                                <h4><strong>@lang('site.Change Password')</strong></h4>
                                <p>@lang('site.Change your password')</p>
                            </article>
                        </section>
                        <!-- form -->
                        <form class="form-horizontal">
                            <div class="form-group">
                                <label class="control-label col-sm-3" >@lang('site.Current password')</label>
                                <div class="col-sm-6">
                                    <input type="password" class="form-control" required id="old_password"  placeholder="{{trans('site.Current password')}}" name="current password">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-sm-3" >@lang('site.New Password')</label>
                                <div class="col-sm-6">
                                    <input type="password" class="form-control" required id="new_password" placeholder="@lang('site.New Password')" name="New password">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-sm-3" >@lang('site.New Password Confirmation')</label>
                                <div class="col-sm-6">
                                    <input type="password" class="form-control" required id="new_password_confirmation"  placeholder="@lang('site.New Password Confirmation')" name="New password">
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="col-sm-offset-6 col-sm-4">
                                    <button type="submit" id="change_password_profile" class="btn btn-primary">@lang('site.Update')</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <!-- change-phone -->

                </div>
            </div>
        </div>
    </div>
</div>
@include('web.controllers.footer')
